Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163397 - cpuspeed doesn't handle hyperthreaded cpu's effectively
Summary: cpuspeed doesn't handle hyperthreaded cpu's effectively
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Jarod Wilson
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-15 20:17 UTC by Eric Jones
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-04 21:37:19 UTC


Attachments (Terms of Use)

Description Eric Jones 2005-07-15 20:17:53 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050512 Red Hat/1.0.4-1.4.1 Firefox/1.0.4

Description of problem:
When using a HyperThreaded Pentium 4 CPU, the cpuspeed daemon doens't use an effective algorithm for determining the current CPU utilizization.  Since a single CPU intensive process only runs on one "virtual" CPU, the other CPU appears 100% idle, giving a net system usage of 50%.  cpuspeed sees this and lowers the clock speed, slowing down the otherwise CPU intensive application.  When running on a hyperthreaded system, cpuspeed should use the most active "virtual" processor as its gauge for current system activity.

Version-Release number of selected component (if applicable):
kernel-utils-2.4-13.1.48

How reproducible:
Always

Steps to Reproduce:
1. start cpuspeed
2. run an intense cpu benchmark on one "virtual" processor
3. cat /proc/cpuinfo and watch the processor get slowed to its lowest state (2.8 GHz on my 3.6 GHz box)
  

Actual Results:  The cpu was frequency scaled down to its lowest state.

Expected Results:  The cpu should have run at the maximum clock speed since the benchmark was utilizing 100% of one of the "virtual" processors.

Additional info:

Comment 1 Jarod Wilson 2007-01-24 14:53:32 UTC
Is this still an issue with the latest RHEL4 kernel and kernel-utils packages?
I'm taking over all cpu frequency scaling bugs, and trying to work my way
through them...

Comment 2 Jarod Wilson 2007-06-04 21:37:19 UTC
4+ months of no activity, 1.5+ years since hearing from the original poster,
closing out bug.


Note You need to log in before you can comment on or make changes to this bug.